Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 22 Aug 2022 02:54:39 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Dear Team 

It’s really a bad experience which I had with an online order delivery.  

I made an order on 11 August 2022 and I called the customer care n checked for the status they informed it will
Be deliver by 12 August 2022 but unfortunately I didn’t receive it. 

Further, I called on 13 August 2022 to customer care couple
Of times and they confirmed it will be ready for collection by end of 13 August 20222. But it does it happened. 

Further, I called on 14 August 2022 to customer care couple
Times since morning, every time the confirmed it will
Be ready for collection by 14 August 2022 and I informed I will be flying so I need it urgently. Whenever I called they said it will be ready by today.  Further, I asked the customer care to connect to a consent team and customer care connected the call to Management Mr. Hussain  I can recall
His name is this , during the call confirmed it will
Be ready for collection before 6 PM. But still I didn’t receive any notification so I called to customer are again they said it still not shipped and I asked to connect again to the management but management team is not available.  

If the team said before that it’s not possible to ship by today, I could have made some other alternatives but at last minute they said this. Which is not suitable for multinational companies liked Landmark. We trust on landmark. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4729792